Summary:    Python interface to Graphviz's Dot language
Name:        pydot
Version:    1.4.2
Release:    4%{?dist}
License:    MIT
URL:        https://github.com/erocarrera/pydot
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:    noarch

%description
An interface for creating both directed and non directed graphs from Python.  Currently all
attributes implemented in the Dot language are supported (up to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments like TeXmacs, or output
in any of the format's supported by the Graphviz tools dot, neato, twopi.

%package -n python3-%{name}
Summary:    Python3 interface to Graphviz's Dot language
BuildRequires:  python3-devel python3-setuptools python3dist(chardet)
BuildRequires:  python3dist(nose) python3dist(pyparsing) python3dist(setuptools) graphviz-devel
Requires:    graphviz
Provides:    %{name} = %{version}-%{release}

%description -n python3-%{name}
An interface for creating both directed and non directed graphs from Python.  Currently all
attributes implemented in the Dot language are supported (up to Graphviz 2.16).

Output can be inlined in Postscript into interactive scientific environments like TeXmacs, or output
in any of the format's supported by the Graphviz tools dot, neato, twopi.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
EXCLUDE_ARG=""
EXCLUDE_ARG="$EXCLUDE_ARG -e test_graph_with_shapefiles -e test_graphviz_regression_tests -e test_my_regression_tests"
PYTHONPATH=%{buildroot}%{python3_sitelib} nosetests-%{python3_version} -v test/pydot_unittest.py $EXCLUDE_ARG

%files -n python3-%{name}
%license LICENSE
%doc ChangeLog README.md
%{python3_sitelib}/dot_parser.*
%{python3_sitelib}/pydot.*
%{python3_sitelib}/__pycache__/dot_parser.*
%{python3_sitelib}/__pycache__/pydot.*
%{python3_sitelib}/pydot-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Shuo Wang <abushwang@tencent.com> - 1.4.2-1
- initial build
